Bulletin d'alerte Debian

DSA-974-1 gpdf -- Dépassements de tampon

Date du rapport :
15 février 2006
Paquets concernés :
gpdf
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2006-0301.
Plus de précisions :

Des chercheurs de SuSE ont découvert des dépassements de pile dans xpdf, un visualisateur de fichiers PDF, qui étaient aussi présents dans gpdf, le visualiseur PDF de GNOME. Ces dépassements pouvaient mener à un déni de service en plantant l'application ou éventuellement à l'exécution de code arbitraire.

L'ancienne distribution stable (Woody) ne contient pas gpdf.

Pour l'actuelle distribution stable (Sarge), ces problèmes ont été corrigés dans la version 2.8.2-1.2sarge3.

Pour la distribution instable (Sid), ces problèmes seront bientôt corrigés.

Nous vous recommandons de mettre à jour votre paquet gpdf.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3.dsc
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3.diff.gz
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gpdf/gpdf_2.8.2-1.2sarge3_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.